# config/packages/calliostro_spotify_web_api.yaml
calliostro_spotify_web_api:

  # Your Client ID
  client_id:            '9407f33059ea4213bcdf53a51b5e1e3d' # Required

  # Your Client Secret
  client_secret:        'f1bc4e4dde8943009cf85ef85e2a1f76' # Required

  # Options for SpotifyWebAPI client
  # https://github.com/jwilsson/spotify-web-api-php/blob/main/docs/examples/setting-options.md
  options:
    auto_refresh:         true
    auto_retry:           false
    return_assoc:         false

  # Address to redirect to after authentication success OR failure
  redirect_uri:         '%env(SPOTIFY_REDIRECT_URI)%'

  # Service ID of the token provider that provides the user's access token
  token_provider:       calliostro_spotify_web_api.token_provider